Apache log4cxx Version @version@

Macros
log4cxx_private.h File Reference

## Macros
#define | LOG4CXX_RETURN_AFTER_THROW 0
#define | LOG4CXX_HAS_STD_LOCALE 1
#define | LOG4CXX_FORCE_WIDE_CONSOLE 0
#define | LOG4CXX_FORCE_BYTE_CONSOLE 0
#define | LOG4CXX_MEMSET_IOS_BASE 0
#define | LOG4CXX_HAVE_ODBC 0
#define | LOG4CXX_HAS_MBSRTOWCS 1
#define | LOG4CXX_HAS_WCSTOMBS 1
#define | LOG4CXX_HAS_FWIDE 1
#define | LOG4CXX_CHARSET_UTF8 0
#define | LOG4CXX_CHARSET_ISO88591 0
#define | LOG4CXX_CHARSET_USASCII 0
#define | LOG4CXX_CHARSET_EBCDIC 0
#define | LOG4CXX_HAVE_LIBESMTP 0
#define | LOG4CXX_HAVE_SYSLOG 1
#define | LOG4CXX_WIN32_THREAD_FMTSPEC "0x%.8x"
#define | LOG4CXX_APR_THREAD_FMTSPEC "0x%pt"

## Macro Definition Documentation

## ◆ LOG4CXX_APR_THREAD_FMTSPEC

#define LOG4CXX_APR_THREAD_FMTSPEC "0x%pt"

## ◆ LOG4CXX_CHARSET_EBCDIC

#define LOG4CXX_CHARSET_EBCDIC 0

## ◆ LOG4CXX_CHARSET_ISO88591

#define LOG4CXX_CHARSET_ISO88591 0

## ◆ LOG4CXX_CHARSET_USASCII

#define LOG4CXX_CHARSET_USASCII 0

## ◆ LOG4CXX_CHARSET_UTF8

#define LOG4CXX_CHARSET_UTF8 0

## ◆ LOG4CXX_FORCE_BYTE_CONSOLE

#define LOG4CXX_FORCE_BYTE_CONSOLE 0

## ◆ LOG4CXX_FORCE_WIDE_CONSOLE

#define LOG4CXX_FORCE_WIDE_CONSOLE 0

## ◆ LOG4CXX_HAS_FWIDE

#define LOG4CXX_HAS_FWIDE 1

## ◆ LOG4CXX_HAS_MBSRTOWCS

#define LOG4CXX_HAS_MBSRTOWCS 1

## ◆ LOG4CXX_HAS_STD_LOCALE

#define LOG4CXX_HAS_STD_LOCALE 1

## ◆ LOG4CXX_HAS_WCSTOMBS

#define LOG4CXX_HAS_WCSTOMBS 1

## ◆ LOG4CXX_HAVE_LIBESMTP

#define LOG4CXX_HAVE_LIBESMTP 0

## ◆ LOG4CXX_HAVE_ODBC

#define LOG4CXX_HAVE_ODBC 0

## ◆ LOG4CXX_HAVE_SYSLOG

#define LOG4CXX_HAVE_SYSLOG 1

## ◆ LOG4CXX_MEMSET_IOS_BASE

#define LOG4CXX_MEMSET_IOS_BASE 0

## ◆ LOG4CXX_RETURN_AFTER_THROW

#define LOG4CXX_RETURN_AFTER_THROW 0

## ◆ LOG4CXX_WIN32_THREAD_FMTSPEC

#define LOG4CXX_WIN32_THREAD_FMTSPEC "0x%.8x"